#ifndef _INCLUDE_FFMPEG_H_
#define _INCLUDE_FFMPEG_H_

#ifdef HAVE_FFMPEG
#include <avcodec.h>
#endif

struct ffmpeg {
#ifdef HAVE_FFMPEG
	AVCodecContext *c;
	AVFrame *picture;
	int outbuf_size;
	FILE *f;
	uint8_t *outbuf;
	void *udata;
#else
	int dummy;
#endif
};

void ffmpeg_init(void);
extern struct ffmpeg *ffmpeg_open(char *, unsigned char *, unsigned char *, unsigned char *, int, int, int, int);
extern void ffmpeg_close(struct ffmpeg *);
extern void ffmpeg_put_image(struct ffmpeg *);
void ffmpeg_put_other_image(struct ffmpeg *ffmpeg, unsigned char *y, unsigned char *u, unsigned char *v);

#endif /* _INCLUDE_FFMPEG_H_ */
